
Summary:   SABnzbd is an Open Source Binary Newsreader written in Python
Name:      sabnzbd   
Version:   2.3.8
Release:   %mkrel 1
Group:     Networking/News
License:   GPLv3+
URL:       http://www.sabnzbd.org/
Source0:   %name-%version.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:  parchive2
Requires:  par2cmdline
Requires:  python-OpenSSL
Requires:  python-cheetah
Requires:  python-cherrypy
Requires:  python-feedparser
Requires:  python-yenc
Requires:  unzip
Obsoletes: sabnzb
Provides: sabnzb = %version-%release

%description
SABnzbd is an Open Source Binary Newsreader written in Python. Fully automatic Binary Newsgrabber. 
Supports multiple Operating Systems. Server-oriented using a web-interface. 


%prep
%setup -q

%build
# Create translation files
python tools/make_mo.py

%install
rm -rf $RPM_BUILD_ROOT
#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}/
python SABnzbd.py $*
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

#data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r {interfaces,sabnzbd,locale,cherrypy,*.py,tools,icons,email,gntp,util,po} \
$RPM_BUILD_ROOT%{_datadir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SABnzbd
Type=Application
Terminal=false
Comment=SABnzbd Binary Newsreader 
Exec=%{name}
Icon=/usr/share/icons/large/news_section.png
Categories=GTK;Network;X-MandrivaLinux-Internet-News;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc *.txt 
%_bindir/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Apr 26 2019 pp <pp> 2.3.8-1pclos2019
- update

* Tue Aug 07 2018 tex - 2.3.4-1pclos2018
- new version
